//
//  ItemView.swift
//  Jel
//
//  Created by zerocool on 12/23/23.
//

import SwiftUI
import JellyfinKit

struct ItemView: View {
  @State var item: BaseItemDto
  var body: some View {
    ScrollView {
      VStack {
        switch item.type {
          case .movie:
            ItemMovieView(item: item)
          case .series:
            ItemSeriesView(item: item)
          case .season:
            ItemSeasonView(item: item)
          case .person:
            ItemPersonView(item: item)
          default:
            ItemMediaView(item: item)
        }
      }
    }
    .scrollIndicators(.hidden)
  }
}

//#Preview {
//  ItemView(item: BaseItemDto())
//}
