//
//  ItemPeopleView.swift
//  Jel
//
//  Created by zerocool on 1/8/24.
//

import SwiftUI
import JellyfinKit

struct ItemPeopleView: View {
  
  var item: BaseItemDto
  
  var body: some View {
    VStack(alignment: .leading) {
      Text("Cast and Crew")
        .font(.title2)
        .padding(.leading)
      
      ScrollView(.horizontal) {
        // FIXME: For some reason, a LazyHStack clips the text for this view
        HStack(alignment: .top) {
          ForEach(item.people ?? [], id: \.iterId) {person in
            NavigationLink {
              ItemPersonDetailView(person: person)
              .navigationTitle(person.name ?? "Unnamed")
            } label: {
              ItemPersonIconView(person: person)
            }
          }
        }
        .padding(.horizontal)
      }
      .scrollIndicators(.hidden)
    }
  }
}

//#Preview {
//    ItemPeopleView()
//}
