//
//  ItemSeriesEpisodeIconView.swift
//  Jel
//
//  Created by zerocool on 2/14/24.
//

import SwiftUI
import JellyfinKit
import ExpandableText

struct ItemSeriesEpisodeIconView: View {
  var item: BaseItemDto
  
  var body: some View {
    HStack(alignment: .top) {
      VStack(alignment: .leading) {
        Text("Episode \(item.indexNumber ?? 0)")
          .foregroundStyle(Color.secondary)
          .font(.callout)
        ItemIconView(item: item, width: UIScreen.screenWidth * 0.5, contentMode: .fill)
          .setAspectRatio(item.primaryImageAspectRatio ?? 1.7)
      }
      .frame(width: UIScreen.screenWidth * 0.5)
      
      VStack(alignment: .leading) {
        Text(item.name ?? "Episode \(item.indexNumber ?? 0)")
          .font(.callout)
          .bold()
        Text(item.overview ?? "")
          .frame(height: (UIScreen.screenWidth * 0.5) / (item.primaryImageAspectRatio ?? 1.7)) // Calculate optimal amount of lines based on episode image
      }
    }
  }
}

//#Preview {
//    ItemSeriesEpisodeIconView()
//}
