//
//  ItemSeriesEpisodesView.swift
//  Jel
//
//  Created by zerocool on 2/14/24.
//

import SwiftUI
import JellyfinKit

struct ItemSeriesEpisodesView: View {
  @EnvironmentObject var jellyfinClient: JellyfinClientController
  @StateObject var authState: AuthStateController = AuthStateController.shared
  
  var item: BaseItemDto
  
  @State var episodeItems: [BaseItemDto] = []
  
  var body: some View {
    VStack {
      ForEach(episodeItems) {episode in
        ItemSeriesEpisodeIconView(item: episode)
      }
    }
    .onAppear {
      Task {
        let parameters = Paths.GetItemsParameters(
          userID: authState.userId,
          parentID: item.id ?? ""
        )
        let req = Paths.getItems(parameters: parameters)
        
        do {
          let res = try await jellyfinClient.send(req)
          episodeItems = res.value.items ?? []
        } catch {}
      }
    }
  }
}

//#Preview {
//    ItemSeriesEpisodesView()
//}
